Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class ConstantMethodType

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Constant
          org.apache.tomcat.util.bcel.classfile.ConstantMethodType

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantMethodType

extends Constant

This class is derived from the abstract Constant class and represents a reference to a method type.

See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantMethodType(ConstantMethodType c)` Initialize from another object.
`ConstantMethodType(int descriptor_index)`

Method Summary
`int` `getDescriptorIndex()`
`void` `setDescriptorIndex(int descriptor_index)`
`String` `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`clone, equals, getTag, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantMethodType

    public ConstantMethodType(ConstantMethodType c)

  Initialize from another object.

### ConstantMethodType

    public ConstantMethodType(int descriptor_index)

Method Detail

### getDescriptorIndex

    public int getDescriptorIndex()

### setDescriptorIndex

    public void setDescriptorIndex(int descriptor_index)

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.